Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class DefaultLog

    java.lang.Object
      |
      +--com.beasys.commerce.util.DefaultLog

All Implemented Interfaces:
  Log

Direct Known Subclasses:
  NonCatalogLog

Deprecated. Use Weblogic Logging infrastructure - see http://e-docs.bea.com/wls/docs61/i18n/index.html

public class DefaultLog
extends Object
implements Log

Default log implementation, it goes to System.err.

Field Summary
`protected static String` | `COMMA` Deprecated.
`protected static String` | `DEFAULT_APP_NAME` Deprecated.
`protected int` | `minimumLevel` Deprecated.
`protected static String` | `QUOTE` Deprecated.
`protected boolean` | `showDebug` Deprecated.
`protected boolean` | `showDeprecated` Deprecated.
`protected static String` | `SPACE` Deprecated.

Fields inherited from interface com.beasys.commerce.util.Log
`LOG_DEBUG, LOG_DEPRECATED, LOG_ERROR, LOG_FATAL, LOG_INFO, LOG_SECURITY, LOG_WARNING`

Constructor Summary
`DefaultLog()` Deprecated. Default constructor.

Method Summary
`protected String` | `assembleMsg(int aLevel, String anAppName, String aMsg)` Deprecated. Assemble the message into the expected output.
`void` | `debug(String aMsg)` Deprecated. Debug.
`void` | `deprecated(String aMsg)` Deprecated. Deprecated.
`int` | `getMinimumLevel()` Deprecated. Get minimum level.
`boolean` | `getShowDebug()` Deprecated. Get show debug.
`boolean` | `getShowDeprecated()` Deprecated. Get show deprecated.
`void` | `info(String aMsg)` Deprecated. Write to the logs, with extra information added.
`void` | `info(String aMsg, Throwable anException)` Deprecated. Write to the logs, with extra information added.
`void` | `log(int aLevel, String aMsg)` Deprecated. Write to the weblogic logs, with extra information added.
`void` | `log(int aLevel, String appName, String aMsg)` Deprecated. Write to the logs, with extra information added.
`void` | `log(int aLevel, String appName, String aMsg, Throwable anException)` Deprecated. Write to the logs, with extra information added.
`void` | `log(int aLevel, String aMsg, Throwable anException)` Deprecated. Write to the weblogic logs, with extra information added.
`protected void` | `logOutput(int aLevel, String anAppName, String aMsg, Throwable anException)` Deprecated. Log the output.
`void` | `setMinimumLevel(int aLevel)` Deprecated. Set minimum level.
`void` | `setShowDebug(boolean aBool)` Deprecated. Set show debug.
`void` | `setShowDeprecated(boolean aBool)` Deprecated. Set show deprecated.
`protected String` | `textForLevel(int aLevel)` Deprecated. Text for level.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUOTE

    protected static final String QUOTE

  Deprecated.
  See Also:
    Constant Field Values

### SPACE

    protected static final String SPACE

  Deprecated.
  See Also:
    Constant Field Values

### COMMA

    protected static final String COMMA

  Deprecated.
  See Also:
    Constant Field Values

### DEFAULT_APP_NAME

    protected static final String DEFAULT_APP_NAME

  Deprecated.
  See Also:
    Constant Field Values

### minimumLevel

    protected int minimumLevel

  Deprecated.

### showDeprecated

    protected boolean showDeprecated

  Deprecated.

### showDebug

    protected boolean showDebug

  Deprecated.

Constructor Detail

### DefaultLog

    public DefaultLog()

  Deprecated.
  Default constructor.

Method Detail

### textForLevel

    protected String textForLevel(int aLevel)

  Deprecated.
  Text for level.

  Parameters:
    `aLevel` -
  Returns:
    `String`

### assembleMsg

    protected String assembleMsg(int aLevel,
                                 String anAppName,
                                 String aMsg)

  Deprecated.
  Assemble the message into the expected output.

  Parameters:
    `aLevel` -
    `anAppName` -
    `aMsg` -
  Returns:
    `String`

### logOutput

    protected void logOutput(int aLevel,
                             String anAppName,
                             String aMsg,
                             Throwable anException)

  Deprecated.
  Log the output. Assembles a complete message from the parameters and then writes to System.err.

  Parameters:
    `aLevel` -
    `anAppName` - the application name
    `anException` -

### debug

    public void debug(String aMsg)

  Deprecated.
  Debug. Convenience method for LOG_DEBUG.

  Specified by:
    `debug` in interface `Log`
  Parameters:
    `aMsg` -

### info

    public void info(String aMsg)

  Deprecated.
  Write to the logs, with extra information added. Convenience method for LOG_INFO.

  Specified by:
    `info` in interface `Log`

### info

    public void info(String aMsg,
                     Throwable anException)

  Deprecated.
  Write to the logs, with extra information added. Convenience method for LOG_INFO.

  Specified by:
    `info` in interface `Log`
  Parameters:
    `anException` -

### deprecated

    public void deprecated(String aMsg)

  Deprecated.
  Deprecated.

  Specified by:
    `deprecated` in interface `Log`
  Parameters:
    `aMsg` -

### log

    public void log(int aLevel,
                    String aMsg)

  Deprecated.
  Write to the weblogic logs, with extra information added.

  Specified by:
    `log` in interface `Log`

### log

    public void log(int aLevel,
                    String aMsg,
                    Throwable anException)

  Deprecated.
  Write to the weblogic logs, with extra information added.

  Specified by:
    `log` in interface `Log`

### log

    public void log(int aLevel,
                    String appName,
                    String aMsg)

  Deprecated.
  Write to the logs, with extra information added.

  Specified by:
    `log` in interface `Log`
  Parameters:
    `appName` - the name of the application logging the message

### log

    public void log(int aLevel,
                    String appName,
                    String aMsg,
                    Throwable anException)

  Deprecated.
  Write to the logs, with extra information added.

  Specified by:
    `log` in interface `Log`
  Parameters:
    `appName` - the name of the application logging the message

### setMinimumLevel

    public void setMinimumLevel(int aLevel)

  Deprecated.
  Set minimum level.

  Specified by:
    `setMinimumLevel` in interface `Log`
  Parameters:
    `aLevel` -

### getMinimumLevel

    public int getMinimumLevel()

  Deprecated.
  Get minimum level.

  Specified by:
    `getMinimumLevel` in interface `Log`
  Returns:
    `int`

### setShowDeprecated

    public void setShowDeprecated(boolean aBool)

  Deprecated.
  Set show deprecated.

  Specified by:
    `setShowDeprecated` in interface `Log`
  Parameters:
    `aBool` -

### getShowDeprecated

    public boolean getShowDeprecated()

  Deprecated.
  Get show deprecated.

  Specified by:
    `getShowDeprecated` in interface `Log`
  Returns:
    `boolean`

### setShowDebug

    public void setShowDebug(boolean aBool)

  Deprecated.
  Set show debug.

  Specified by:
    `setShowDebug` in interface `Log`
  Parameters:
    `aBool` -

### getShowDebug

    public boolean getShowDebug()

  Deprecated.
  Get show debug.

  Specified by:
    `getShowDebug` in interface `Log`
  Returns:
    `boolean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved